{ Funktion: Das Pascalsche Dreieck, Kombinationen ohne Wiederholung
  Autor   : DG1XPZ
  Sprache : Turbo Pascal 7.0}

program pascal;
var k:integer;
var n:integer;
const max=62;

function pascalD(k,n: integer):LongInt;
var i,j: Longint;
    matrix: array[1..max] of array [1..max] of Longint;

begin
  for i:=1 to n+2 do
  begin
    matrix[i][1]:=1;
    matrix[1][i]:=1;
  end;
  for j:=1 to n+1 do
  begin
    for i:=1 to n+1 do
    begin
      matrix[j+1][i+1]:=matrix[j+1][i]+matrix[j][i+1];
    end;
  end;
pascalD:=matrix[(n+1)-k][k+1];
end;

begin
  Writeln('Das Pascalsche Dreieck.');
  Writeln('Kombinationen ohne Wiederholung ( k aus n)');
  write('Bitte 1. Zahl eingeben (von k aus n) max ');write(max-2);write(':');
  Readln(k);
  write('Bitte 2. Zahl eingeben (von k aus n) max ');write(max-2);write(':');
  Readln(n);
  if (k<=60) and (n<=60) then
  begin
    write('Bei ');write(k);write(' aus ');write(n);
    write(' gibt es ');Write(pascalD(k,n));write(' Kombinationen.');
  end;
end.
